<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/test/AVSCommon/Utils/HTTP2/MockHTTP2MimeRequestEncodeSource.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_2d9894417dd95d1842540bac6666188a.html">test</a></li><li class="navelem"><a class="el" href="dir_a56f36adbd781f5c7d9895fa2d100c85.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_834bf911d49030c30073fd5ed0d05185.html">Utils</a></li><li class="navelem"><a class="el" href="dir_7f87b99bfb96304e3bc744efb6984a83.html">HTTP2</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MockHTTP2MimeRequestEncodeSource.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_mock_h_t_t_p2_mime_request_encode_source_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_TEST_AVSCOMMON_UTILS_HTTP2_MOCKHTTP2MIMEREQUESTENCODESOURCE_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_TEST_AVSCOMMON_UTILS_HTTP2_MOCKHTTP2MIMEREQUESTENCODESOURCE_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_h_t_t_p2_mime_request_source_interface_8h.html">AVSCommon/Utils/HTTP2/HTTP2MimeRequestSourceInterface.h</a>&quot;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span>utils {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>http2 {</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html">   31</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html">MockHTTP2MimeRequestEncodeSource</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_request_source_interface.html">HTTP2MimeRequestSourceInterface</a> {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#a1309f709ef435c0d95c3fdcba8229514">MockHTTP2MimeRequestEncodeSource</a>(</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        <span class="keyword">const</span> std::vector&lt;std::string&gt;&amp; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#abf1b70fe5c4a57bdf7e78bfaf233bf56">m_data</a>,</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <span class="keyword">const</span> std::vector&lt;std::vector&lt;std::string&gt;&gt;&amp; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#ab64d1d2dec9a4b36ba7757ef7965eb19">m_headers</a>);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_get_mime_headers_result.html">HTTP2GetMimeHeadersResult</a> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#af459bc0d4da20338394093b80b1fc34d">getMimePartHeaderLines</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html">HTTP2SendDataResult</a> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#a0a01195692703378fc0963545e116ca4">onSendMimePartData</a>(<span class="keywordtype">char</span>* bytes, <span class="keywordtype">size_t</span> size) <span class="keyword">override</span>;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    std::vector&lt;std::string&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#a0b575b6ce35202357f576693e1610e67">getRequestHeaderLines</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#af3a95948f5482b576a1f979fa880e7f7">~MockHTTP2MimeRequestEncodeSource</a>() = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    std::vector&lt;std::string&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#abf1b70fe5c4a57bdf7e78bfaf233bf56">m_data</a>;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#ab64d1d2dec9a4b36ba7757ef7965eb19">   63</a></span>&#160;    std::vector&lt;std::vector&lt;std::string&gt;&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#ab64d1d2dec9a4b36ba7757ef7965eb19">m_headers</a>;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#a2786db72b5d47dccf48139e87b3a6adc">   66</a></span>&#160;    <span class="keywordtype">size_t</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#a2786db72b5d47dccf48139e87b3a6adc">m_bytesWritten</a>;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#aba6f4c2fabae2c4297ea648cb97dd321">   69</a></span>&#160;    <span class="keywordtype">size_t</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#aba6f4c2fabae2c4297ea648cb97dd321">m_index</a>;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#a7890c162d10b778d96cbaa6aadfe7690">   72</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#a7890c162d10b778d96cbaa6aadfe7690">m_slowSource</a>;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#a23e5511f6aada0f557886764b119363c">   75</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#a23e5511f6aada0f557886764b119363c">m_abort</a>;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#a5c87de7879349a497abcee5d5b54c30b">   78</a></span>&#160;    <span class="keywordtype">size_t</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#a5c87de7879349a497abcee5d5b54c30b">m_pauseCount</a>;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;};</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;}  <span class="comment">// namespace http2</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;}  <span class="comment">// namespace utils</span></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_TEST_AVSCOMMON_UTILS_HTTP2_MOCKHTTP2MIMEREQUESTENCODESOURCE_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source_html_ab64d1d2dec9a4b36ba7757ef7965eb19"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#ab64d1d2dec9a4b36ba7757ef7965eb19">alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeRequestEncodeSource::m_headers</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; std::string &gt; &gt; m_headers</div><div class="ttdoc">Stores the MIME header parts. </div><div class="ttdef"><b>Definition:</b> MockHTTP2MimeRequestEncodeSource.h:63</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source_html_abf1b70fe5c4a57bdf7e78bfaf233bf56"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#abf1b70fe5c4a57bdf7e78bfaf233bf56">alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeRequestEncodeSource::m_data</a></div><div class="ttdeci">std::vector&lt; std::string &gt; m_data</div><div class="ttdoc">Stores the MIME data parts. </div><div class="ttdef"><b>Definition:</b> MockHTTP2MimeRequestEncodeSource.h:60</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_get_mime_headers_result_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_get_mime_headers_result.html">alexaClientSDK::avsCommon::utils::http2::HTTP2GetMimeHeadersResult</a></div><div class="ttdef"><b>Definition:</b> HTTP2GetMimeHeadersResult.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source_html_a5c87de7879349a497abcee5d5b54c30b"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#a5c87de7879349a497abcee5d5b54c30b">alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeRequestEncodeSource::m_pauseCount</a></div><div class="ttdeci">size_t m_pauseCount</div><div class="ttdoc">PAUSE count. </div><div class="ttdef"><b>Definition:</b> MockHTTP2MimeRequestEncodeSource.h:78</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source_html_a7890c162d10b778d96cbaa6aadfe7690"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#a7890c162d10b778d96cbaa6aadfe7690">alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeRequestEncodeSource::m_slowSource</a></div><div class="ttdeci">bool m_slowSource</div><div class="ttdoc">Enable sending PAUSE intermittently. </div><div class="ttdef"><b>Definition:</b> MockHTTP2MimeRequestEncodeSource.h:72</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source_html_a0b575b6ce35202357f576693e1610e67"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#a0b575b6ce35202357f576693e1610e67">alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeRequestEncodeSource::getRequestHeaderLines</a></div><div class="ttdeci">std::vector&lt; std::string &gt; getRequestHeaderLines() override</div><div class="ttdef"><b>Definition:</b> MockHTTP2MimeRequestEncodeSource.cpp:67</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_request_source_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_request_source_interface.html">alexaClientSDK::avsCommon::utils::http2::HTTP2MimeRequestSourceInterface</a></div><div class="ttdef"><b>Definition:</b> HTTP2MimeRequestSourceInterface.h:35</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html">alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeRequestEncodeSource</a></div><div class="ttdef"><b>Definition:</b> MockHTTP2MimeRequestEncodeSource.h:31</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source_html_a0a01195692703378fc0963545e116ca4"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#a0a01195692703378fc0963545e116ca4">alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeRequestEncodeSource::onSendMimePartData</a></div><div class="ttdeci">HTTP2SendDataResult onSendMimePartData(char *bytes, size_t size) override</div><div class="ttdef"><b>Definition:</b> MockHTTP2MimeRequestEncodeSource.cpp:45</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source_html_aba6f4c2fabae2c4297ea648cb97dd321"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#aba6f4c2fabae2c4297ea648cb97dd321">alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeRequestEncodeSource::m_index</a></div><div class="ttdeci">size_t m_index</div><div class="ttdoc">Index of current MIME part being read. </div><div class="ttdef"><b>Definition:</b> MockHTTP2MimeRequestEncodeSource.h:69</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source_html_af459bc0d4da20338394093b80b1fc34d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#af459bc0d4da20338394093b80b1fc34d">alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeRequestEncodeSource::getMimePartHeaderLines</a></div><div class="ttdeci">HTTP2GetMimeHeadersResult getMimePartHeaderLines() override</div><div class="ttdef"><b>Definition:</b> MockHTTP2MimeRequestEncodeSource.cpp:31</div></div>
<div class="ttc" id="_h_t_t_p2_mime_request_source_interface_8h_html"><div class="ttname"><a href="_h_t_t_p2_mime_request_source_interface_8h.html">HTTP2MimeRequestSourceInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source_html_a23e5511f6aada0f557886764b119363c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#a23e5511f6aada0f557886764b119363c">alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeRequestEncodeSource::m_abort</a></div><div class="ttdeci">bool m_abort</div><div class="ttdoc">If ABORT is to be sent. </div><div class="ttdef"><b>Definition:</b> MockHTTP2MimeRequestEncodeSource.h:75</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source_html_a1309f709ef435c0d95c3fdcba8229514"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#a1309f709ef435c0d95c3fdcba8229514">alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeRequestEncodeSource::MockHTTP2MimeRequestEncodeSource</a></div><div class="ttdeci">MockHTTP2MimeRequestEncodeSource(const std::vector&lt; std::string &gt; &amp;m_data, const std::vector&lt; std::vector&lt; std::string &gt;&gt; &amp;m_headers)</div><div class="ttdef"><b>Definition:</b> MockHTTP2MimeRequestEncodeSource.cpp:71</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source_html_a2786db72b5d47dccf48139e87b3a6adc"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#a2786db72b5d47dccf48139e87b3a6adc">alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeRequestEncodeSource::m_bytesWritten</a></div><div class="ttdeci">size_t m_bytesWritten</div><div class="ttdoc">Index into the current MIME data part. </div><div class="ttdef"><b>Definition:</b> MockHTTP2MimeRequestEncodeSource.h:66</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source_html_af3a95948f5482b576a1f979fa880e7f7"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html#af3a95948f5482b576a1f979fa880e7f7">alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeRequestEncodeSource::~MockHTTP2MimeRequestEncodeSource</a></div><div class="ttdeci">~MockHTTP2MimeRequestEncodeSource()=default</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html">alexaClientSDK::avsCommon::utils::http2::HTTP2SendDataResult</a></div><div class="ttdef"><b>Definition:</b> HTTP2SendDataResult.h:31</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
